/*
** Alias OBJ ǡ
*/
#ifndef OBJ_H
#define OBJ_H

#if defined(WIN32)
#  include "glew.h"
#  include <GL/gl.h>
#elif defined(__APPLE__) || defined(MACOSX)
#  include <OpenGL/gl.h>
#else
#  define GL_GLEXT_PROTOTYPES
#  include <GL/gl.h>
#endif

typedef float Vec[3];
typedef unsigned int Idx[3];

class Obj {
  int nv, nf;                                             // ĺο̤ο
  Vec *vert, *norm, *fnorm;                               // ĺĺˡ̤ˡ
  Idx *face;                                              // ̥ǡĺΥǥå
  void init();                                            // 
  void copy(const Obj &);                                 // Υԡ
public:
  Obj();
  Obj(const Obj &o);
  ~Obj();
  Obj &operator=(const Obj &o);
  bool load(const char *name);                            // OBJ եɤ߹
  void draw(GLint pos, GLint vec, GLsizei points) const;  // ޷
};

#endif
